<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'

        ALTER TABLE production_line_stops
        ADD operator_id TEXT DEFAULT NULL;

        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'

        ALTER TABLE production_plans
        ADD operator_id TEXT DEFAULT NULL;

        SQL;

        DB::statement($sql2);

        $sql3 = <<<'SQL'

        ALTER TABLE production_quantities
        ADD operator_id TEXT DEFAULT NULL;

        SQL;

        DB::statement($sql3);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {

    }
};
